% Ex 5-2
% Example of WSS RP : sine wave with the Theta of uniform distributed RV  
% Theta : uniform distributed in (0,2pi)
%
%
PI=3.141592;
A = 0.7;             % amplitude of sine wave
%
f=20;              % frequency
N=0:1000;          % the number of samples
Omega=2*PI*f;      % angle velocity
%
t=N ./ 2000;
%
for i=1:5,
    Theta(i) = 2*pi*rand;
    sine_value(i,:) = A*cos(t .* Omega + Theta(i));
end;
%
plot(t,sine_value(1,:)+4,'-k',t,sine_value(2,:)+2,'-r',t,sine_value(3,:),'-b',t,sine_value(4,:)-2,'-g',t,sine_value(5,:)-4,'-m');
grid;
xlabel('t[sec]');
ylabel('Amplitude[V]');
axis([0 0.5 -5.5 5.5]);