% Ex 7-5
% PSD of White Noise Process filtered by LPF
%
f=-150:0.01:150;   % frequency
R=100;             % resistance
L=1;               % inductance
PI=3.141592;
%
S_Y = 1./ (1.+(f.^2).*((2*PI*L/R)^2));
%
plot(f,S_Y,'-')
axis([-200 200 0 1.2]);
xlabel('f[Hz]');
ylabel('S_Y (f) [W/Hz]');
grid;